GCELL_ARRAY(3NCARG)

NAME
gcell_array - Draw a Cell array from two corner points

DESCRIPTION
gcell_array (Cell array) - draws a cell array starting with a rectangle specified by two corner points; this initial rectangle is subdivided into subrectangles by specifying an arbitrary number of divisions in the X and Y directions; each subrectangle (or cell) is assigned a color and drawn with that color.

SYNOPSIS
#include <ncarg/gks.h>

void gcell_array(const Grect *rect, const Gpat_rep *colr_array);

DESCRIPTION

rect.p.x
    (Gfloat Input) - X world coordinate of point 1.

rect.p.y
    (Gfloat Input) - Y world coordinate of point 1.

rect.q.x
    (Gfloat Input) - X world coordinate of point 2.

rect.q.y
    (Gfloat Input) - Y world coordinate of point 2.

colr_array.dims.size_x
    (Gint, Input) - X dimension of the color index array colr_array.colr_array.

colr_array.dims.size_y
    (Gint, Input) - Y dimension of the color index array colr_array.colr_array.

colr_array.colr_array
    (Gint *, Input) - An array of color indices dimensioned colr_array.dims.size_x by colr_array.dims.size_y which is used to determine the color of each cell drawn.

USAGE
Points 1 and 2 must be diagonally opposite corner points of a rectangle to be divided into colr_array.dims.size_x cells in the X dimension and colr_array.dims.size_y cells in the Y dimension.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gset_colr_rep(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.